package cn.com.qmth.examcloud.common.dto.core;

import java.io.Serializable;

public class OrgSync implements Serializable{

    private static final long serialVersionUID = -592353272256492483L;

    private Long id;
    /**
     * 顶级机构id，无上级时为0；eg.学校即是顶级
     */
    private Long rootId;
    /**
     * 父级机构id，无上级时为0；eg.学习中心的父级为学校
     */
    private Long parentId;

    private Integer level;

    private String name;

    /**
     * 学习中心代码
     */
    private String code;

    private String logo;

    private String address;

    /**
     * 可使用的应用模块
     */
    private String apps;

    private Boolean enable;

    /**
     * 联系电话
     */
    private String telphone;
    /**
     * 联系人
     */
    private String contacts;

    private String createTime;

    private String updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootId() {
        return rootId;
    }

    public void setRootId(Long rootId) {
        this.rootId = rootId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getApps() {
        return apps;
    }

    public void setApps(String apps) {
        this.apps = apps;
    }

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

    public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTelphone() {
		return telphone;
	}

	public void setTelphone(String telphone) {
		this.telphone = telphone;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public OrgSync() {
    }
}
