package cn.com.qmth.examcloud.common.dto.oe.marking;

/**
 * Created by yuanpan on 2017/1/17.
 */
public class StudentPaperOE {

	/**
	 * 评卷中的studentPaper的id
	 */
	private Long studentPaperId;

	/**
	 * 学生答卷主键
	 */
	private Long pk;

	/**
	 * 答卷所使用的试卷
	 */
	private Paper paper;

	/**
	 * 考试记录ID
	 */
	private Long examRecordId;

	private Long batchId;

	private Long stuUserId;
	/**
	 * 学生答卷的HTML
	 */
	private String studentPaperHtml;

	/**
	 * 学生答卷的主观题HTML
	 */
	private String studentSubjectiveHtml;

	/**
	 * 学生答卷的客观题得分
	 */
	private Double objectiveScore;

	/**
	 * 主观题得分
	 */
	private Double subjectiveScore;

	private Long campusId;

	private String studentName;

	private String studentCode;

    private String identityNumber;

	public StudentPaperOE() {
	}

	public StudentPaperOE(Long pk, Double subjectiveScore) {
		this.pk = pk;
		this.subjectiveScore = subjectiveScore;
	}

	public Long getPk() {
		return pk;
	}

	public void setPk(Long pk) {
		this.pk = pk;
	}

	public Paper getPaper() {
		return paper;
	}

	public void setPaper(Paper paper) {
		this.paper = paper;
	}

	public String getStudentPaperHtml() {
		return studentPaperHtml;
	}

	public void setStudentPaperHtml(String studentPaperHtml) {
		this.studentPaperHtml = studentPaperHtml;
	}

	public String getStudentSubjectiveHtml() {
		return studentSubjectiveHtml;
	}

	public void setStudentSubjectiveHtml(String studentSubjectiveHtml) {
		this.studentSubjectiveHtml = studentSubjectiveHtml;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Long getExamRecordId() {
		return examRecordId;
	}

	public void setExamRecordId(Long examRecordId) {
		this.examRecordId = examRecordId;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}

	public Long getBatchId() {
		return batchId;
	}

	public void setBatchId(Long batchId) {
		this.batchId = batchId;
	}

	public Long getStuUserId() {
		return stuUserId;
	}

	public void setStuUserId(Long stuUserId) {
		this.stuUserId = stuUserId;
	}

	public Long getStudentPaperId() {
		return studentPaperId;
	}

	public void setStudentPaperId(Long studentPaperId) {
		this.studentPaperId = studentPaperId;
	}

	public Long getCampusId() {
		return campusId;
	}

	public void setCampusId(Long campusId) {
		this.campusId = campusId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

}
